--
-- Job step to calculate primes in 250K batches
--

-- Calculate prime numbers
DECLARE @THE_LOW_VALUE [BIGINT];
DECLARE @THE_HIGH_VALUE [BIGINT];

-- Low & High water marks
SELECT @THE_LOW_VALUE = [MY_VALUE] FROM [DBO].[TBL_CONTROL_CARD];
SELECT @THE_HIGH_VALUE = @THE_LOW_VALUE + 250000 - 1;

-- Start the process
BEGIN TRANSACTION

-- Run the calculation
EXEC SP_STORE_PRIMES @THE_LOW_VALUE, @THE_HIGH_VALUE;

UPDATE [DBO].[TBL_CONTROL_CARD]
SET  [MY_VALUE]  =  @THE_HIGH_VALUE;

-- End the process
COMMIT TRANSACTION;


--
-- Show Results of work
--

SELECT 
    COUNT(*) AS MY_VALUE, 
	'PRIME NUMBERS FOUND' AS MY_DESCRIPTION
FROM DBO.TBL_PRIMES
UNION
SELECT 
    MY_VALUE, 
	'TOTAL NUMBERS SEARCHED' AS MY_DESCRIPTION
FROM TBL_CONTROL_CARD;
GO